LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::chart::ChartSolidType Constant Group Referencepublished

These values specify the type of solid shapes for data points of 3D bar charts. More...

## Variables
const long | RECTANGULAR_SOLID = 0
| extruded rectangle, i.e., a cuboid More...
const long | CYLINDER = 1
| cylinder with a circle as base More...
const long | CONE = 2
| cone with a circle as base More...
const long | PYRAMID = 3
| pyramidal with a square as base More...

## Detailed Description

These values specify the type of solid shapes for data points of 3D bar charts.

## Variable Documentation

## ◆ CONE

const long CONE = 2

cone with a circle as base

## ◆ CYLINDER

const long CYLINDER = 1

cylinder with a circle as base

## ◆ PYRAMID

const long PYRAMID = 3

pyramidal with a square as base

## ◆ RECTANGULAR_SOLID

const long RECTANGULAR_SOLID = 0

extruded rectangle, i.e., a cuboid